org.apache.commons.jelly.tags.fmt

## Class TimeZoneTag

- java.lang.Object
- - org.apache.commons.jelly.TagSupport
  - - org.apache.commons.jelly.tags.fmt.TimeZoneTag

All Implemented Interfaces:
  Tag

    public class TimeZoneTag
    extends TagSupport

Support for tag handlers for <timeZone>, the time zone loading tag in JSTL.

Version:
  $Revision: 155420 $
Author:
  Willie Vu

### Field Summary

### Fields inherited from class org.apache.commons.jelly.TagSupport

`body, context, parent`

### Constructor Summary

Constructors
Constructor and Description
`TimeZoneTag()`

### Method Summary

Methods
`void` `doTag(XMLOutput output)` Evaluates this tag after all the tags properties have been initialized.
`TimeZone` `getTimeZone()`
`void` `setValue(Expression value)` Setter for property value.

### Methods inherited from class org.apache.commons.jelly.TagSupport

`findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, getBody, getBodyText, getBodyText, getContext, getParent, invokeBody, isEscapeText, isTrim, setBody, setContext, setEscapeText, setParent, setTrim, trimBody`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TimeZoneTag

    public TimeZoneTag()

### Method Detail

#### getTimeZone

    public TimeZone getTimeZone()

#### doTag

    public void doTag(XMLOutput output)
               throws JellyTagException

Evaluates this tag after all the tags properties have been initialized.

Throws:
  `JellyTagException`

#### setValue

    public void setValue(Expression value)

Setter for property value.

Parameters:
  `value` - New value of property value.